## com.lowagie.text.html
Class HtmlTagMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              com.lowagie.text.html.HtmlTagMap

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class HtmlTagMap
extends HashMap

The `Tags`-class maps several XHTML-tags to iText-objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.HashMap
``

Nested classes inherited from class java.util.AbstractMap
``

Field Summary

Fields inherited from class java.util.HashMap
``

Fields inherited from class java.util.AbstractMap
``

Constructor Summary
`HtmlTagMap()` Constructs an HtmlTagMap.

Method Summary
`boolean` `isBody(String tag)` Checks if this is the root tag.
`boolean` `isHead(String tag)` Checks if this is the head tag.
`boolean` `isHtml(String tag)` Checks if this is the root tag.
`boolean` `isLink(String tag)` Checks if this is the linl tag.
`boolean` `isMeta(String tag)` Checks if this is the meta tag.
`boolean` `isSpecialTag(String tag)` Checks if this is a special tag.
`boolean` `isTitle(String tag)` Checks if this is the title tag.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HtmlTagMap

    public HtmlTagMap()

  Constructs an HtmlTagMap.

Method Detail

### isHtml

    public boolean isHtml(String tag)

  Checks if this is the root tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is HTML or html

### isHead

    public boolean isHead(String tag)

  Checks if this is the head tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is HEAD or head

### isMeta

    public boolean isMeta(String tag)

  Checks if this is the meta tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is META or meta

### isLink

    public boolean isLink(String tag)

  Checks if this is the linl tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is LINK or link

### isTitle

    public boolean isTitle(String tag)

  Checks if this is the title tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is TITLE or title

### isBody

    public boolean isBody(String tag)

  Checks if this is the root tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is BODY or body

### isSpecialTag

    public boolean isSpecialTag(String tag)

  Checks if this is a special tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is a HTML, HEAD, META, LINK or BODY tag (case insensitive)